Subject: bug#60607: closed (Re: bug#60607: Making dvi target do nothing)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Jan 2023 01:58:02 +0000

Your bug report

#60607: Making dvi target do nothing

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60607: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60607
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60607: Making dvi target do nothing
From: Karl Berry <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 8 Jan 2023 18:57:52 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks. Pushed. -k

Subject: Making dvi target do nothing
From: Reuben Thomas <[email-masked]>
To: bug-automake <[email-masked]>
Date: Fri, 6 Jan 2023 21:53:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using automake 1.16.5. The advice about how to disable the "dvi" target
doesn't seem to work.

In the manual it says:

   To make ‘dvi’ into a do-nothing target, see the example for
‘EMPTY_AUTOMAKE_TARGETS’ in *note Third-Party Makefiles::.

If I have:

EMPTY_AUTOMAKE_TARGETS = dvi
.PHONY: $(EMPTY_AUTOMAKE_TARGETS)
$(EMPTY_AUTOMAKE_TARGETS):

in my Makefile.am, then "TEXI2DVI" is still run by "make distcheck".

If I instead have:

dvi:

then it is not.

-- 
https://rrt.sc3d.org